<?php include "../index/conexion.inc" ?>
<?php include "../index/validacion.php" ?>
<?php
	$cV01 = $_POST['v1'];	/* DESDE */
	$cV02 = $_POST['v2'];	/* HASTA */
?>
<?php
	// conexión
	$servername = $svr_servidor;
	$conectioninfo = array("Database"=>$svr_base, "UID"=>$svr_usuario, "PWD"=>$svr_contrasena, "CharacterSet"=>"UTF-8");
	$conexion = sqlsrv_connect($servername, $conectioninfo);
	if ($conexion == false)
	{
		$mensaje = "Existe un error al intentar conectarse con el servidor...";
	}
	else
	{
		// CONSULTA SQL
		$sql = "EXECUTE JOIN_REPORTE_E_S '".$cV01."' , '".$cV02."'";
		$pa1 = array();
		$op1 = array();
		// Lanzar la consulta
		//echo $sql;
		//$re1 = sqlsrv_query($conexion, $sql, $pa1, $op1);
		$re1 = sqlsrv_prepare( $conexion, $sql, array());
		
		if( sqlsrv_execute( $re1 ) === false ) {
			
			die( print_r( sqlsrv_errors(), true));
		}
		
		/*$q = "EXECUTE JOIN_REPORTE_E_S '2022-05-01' , '2022-05-13'";
		$r = sqlsrv_query($conexion, $q);
		$row = sqlsrv_fetch_array($r);
		var_dump($row);
		print_r(sqlsrv_errors(), true);*/
		//echo $re1;
		
		if (sqlsrv_execute($re1) === true)
		{
			echo "
			<div class='x_panel'>
				<div class='x_title'>
					<h3>Salidas VS Entradas</h3>
					<button type='submit' class='btn btn-success'>
						<span class='glyphicon glyphicon-export' aria-hidden='true'></span> Exportar a excel
					</button>
					<div class='clearfix'></div>
				</div>
				<div class='table-responsive'>
					<table id='example' class='table table-striped table-bordered' style='width:100%'>
						<thead>
							<tr>
								<th>FECHA SALIDA</th>
								<th>SERIE TRASLADO</th>
								<th>NUMERO TRASLADO</th>
								<th>DOCUMENTO</th>
								<th>DOC TRASLADO</th>
								<th>ORIGEN</th>
								<th>DESTINO</th>
								<th>UNIDADES TOTAL</th>
								<th>DOCENTRY TRA</th>
								<th>ESTADO</th>
								<th>FECHA RECEPCION</th>
								<th>SERIE T RECIBIDO</th>
								<th>DOCUMENTO</th>
								<th>DOC TRASLADO REC</th>
								<th>NOMBRE ALMACEN</th>
								<th>UNIDADES TOTAL</th>
								<th>DOCENTRY</th>
							</tr>
						</thead>
						<tbody>";
						//echo "Hola Mundo";
						while($fila = sqlsrv_fetch_array($re1))
						{
							
							//print_r($fila);
							
							echo "
								<tr>
									<td>".$fila['FECHA_SALIDA']->format('Y-m-d h:m:s')."</td>
									<td>".$fila['SERIE_TRASLADO']."</td>
									<td>".$fila['NUMERO_TRASLADO']."</td>
									<td>".$fila['DOCUMENTO']."</td>
									<td>".$fila['DOC_TRASLADO']."</td>
									<td>".$fila['ORIGEN']."</td>
									<td>".$fila['DESTINO']."</td>
									<td>".$fila['UNIDADESTOTAL']."</td>
									<td>".$fila['DOCENTRY_TRA']."</td>
									<td>".$fila['ESTADO']."</td>
									<td>".$fila['FECHA_RECEPCION']->format('Y-m-d h:m:s')."</td>
									<td>".$fila['SERIE_T_RECIBIDO']."</td>
									<td>".$fila['NUMERO_T_RECIBIDO']."</td>
									<td>".$fila['DOCUMENTO']."</td>
									<td>".$fila['DOC_TRASLADO_REC']."</td>
									<td>".$fila['NOMBREALMACEN']."</td>
									<td>".$fila['UNIDADESTOTAL']."</td>
								</tr>
							";
						}
						echo "
						</tbody>
					</table>
				</div>
			</div>
			";
		}
		else
		{
			
			echo "
			<div class='alert alert-warning alert-dismissible fade in' role='alert'>
			<button type='button' class='close' data-dismiss='alert' aria-label='Close'><span aria-hidden='true'>×</span>
			</button>
				Registros <strong>NO</strong> localizados.
			</div>
			";
		}
		sqlsrv_free_stmt($re1);
	}
	sqlsrv_close($conexion);
?>
<script>
	$(document).ready(function() {
		$('#example').DataTable();
	} );
</script>